#include "Common.h"
#define DECK 17.5
#define YELLOW 1
#define CREWDISTANCE 10
private ["_catNr", "_cat", "_pos", "_jets", "_plane", "_endCat", "_catapult",
         "_v", "_dir", "_grp", "_nimspots", "_i", "_marker",
  	 "_soldiers", "_yellow", "_posPlane", "_posCrew", "_unit"];

_nim = [_this, 0, ObjNull] call BIS_fnc_param;
_plane = [_this, 1, ObjNull] call BIS_fnc_param;
_catNr = [_this, 2, 4] call BIS_fnc_param;
_i = [_this, 3, -1] call BIS_fnc_param;

_nimspots = _nim getVariable "nimspots";

_cat = format ["C%1", _catNr];
_endCat = format ["%1T", _cat];
_pos = _nimspots modeltoworld (_nimspots selectionposition _cat);

_marker = format["F/A-18 %1", _i];
// [_grp, _marker, "b_plane", "ColorBlue", 1] call TTT_fnc_marker;

_catapult = [ _pos, _cat, _cat, _catNr ];
_plane engineOn true;
sleep 10.0;
_pos = _nimspots modeltoworld (_nimspots selectionposition _cat);
// _plane setPosASL _pos;
// _plane setDir (getDir nimspots);
_pos = _nimspots modelToWorld (_nimspots selectionposition _cat);
_plane engineOn true;

_plane setPosASL _pos;
// resurrect crew
// { deleteVehicle _x } forEach crew _plane;
createVehicleCrew _plane;
[_plane, driver _plane, -1, [_catapult, false]] spawn TTT_fnc_catapultLaunch;

// crew support
_soldiers = [] call TTT_fnc_soldierTypes;
_yellow = _soldiers select YELLOW;
_posPlane = getPos _plane;
_dir = getDir _plane - 45;
if (_catNr == 4) then {
  _dir = getDir _plane + 45;
};
_posCrew = CIRCLEPOS2(_posPlane, _dir, CREWDISTANCE);
if (_catNr < 4) then {
  _unit = [_yellow, _posCrew, DECK, getDir _plane + 90] call TTT_fnc_placevehicle;
} else {
  _unit = [_yellow, _posCrew, DECK, getDir _plane - 90] call TTT_fnc_placevehicle;
};
removeAllWeapons _unit;
_unit setBehaviour "Careless";
_unit switchMove "nimitz_cat1";

sleep 6;

_unit switchMove "nimitz_cat2";
sleep 4;

detach _plane;
nimCatJet = _plane;
soundOff = "catLaunch";
publicVariable "nimCatJet";
publicVariable "soundOff";

_nimspots setVariable ["nimCat1FX", 1, true];
[_plane] spawn TTT_fnc_steamShot;

_v=1;
[_plane, _endCat] call TTT_fnc_setObjDir;
_plane allowDamage false;
_dir = getDir _plane;
_plane say "catLaunch2";
while {(_v<200) and (alive _plane)} do {
  (vehicle _plane) setvelocity [_v* sin (_dir),_v * cos (_dir),.4];
  // _plane setDir _dir;
  [_plane, 0, 0] call BIS_fnc_setPitchBank;
  _v=_v+9;
  sleep 0.12;
  // sleep 0.06;
};
_plane allowDamage true;
_plane setDamage 0;

_nimspots setVariable ["nimCat1FX", 0, true];

sleep 3;
deleteVehicle _unit;
[_catNr, 0] spawn TTT_fnc_catapultJbd;
_use = format ["nimCat%1Use", _catNr];
_nimspots setVariable [_use, 0, true];

_grp = group driver _plane;
_wp = _grp addWaypoint [Takeoff, 100];
_wp setWaypointType "MOVE";

_wp = _grp addWaypoint [_nimspots, 500];
_wp setWaypointType "MOVE";

_plane;
